gcc-13 (13.4.0-10ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2026 13:42:01 +0100

gcc-13 (13.4.0-10) unstable; urgency=medium

  * Update to git 20260327 from the gcc-13 branch.
    - Fix PR ada/124607.
  * Fix PR ipa/12468, reverting the fix for PR ipa/116296.
  * Update the ada-armel-libatomic patch for PR ada/107475.
  * Bootstrap again using GCC 13.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Mar 2026 13:37:50 +0100

gcc-13 (13.4.0-9) unstable; urgency=medium

  * Update the ada-armel-libatomic patch for PR ada/107475.
  * Bootstrap using GCC 12 on arm64, see PR d/124608.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2026 11:49:47 +0100

gcc-13 (13.4.0-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2026 07:32:12 +0100

gcc-13 (13.4.0-8) unstable; urgency=medium

  * Update to git 20260323 from the gcc-13 branch.
    - Fix PR tree-optimization/124135, PR tree-optimization/124358,
      PR target/124366 (x86), PR target/124315 (x86), PR target/124335 (x86),
      PR target/124138 (x86), PR middle-end/124056, PR rtl-optimization/116600,
      PR middle-end/123386, PR c/101312, PR c++/123818,PR middle-end/123876,
      PR tree-optimization/123864, PR middle-end/123703,
      PR tree-optimization/123736, PR tree-optimization/123513,
      PR target/120250, PR tree-optimization/123431, PR middle-end/111817,
      PR rtl-optimization/119291, PR rtl-optimization/121773,
      PR tree-optimization/123351, PR target/123217 (x86),
      PR target/123155 (x86), PR middle-end/120052, PR middle-end/120564,
      PR lto/122620, PR tree-optimization/122394, PR middle-end/121453,
      PR tree-optimization/122104, PR c++/121977, PR tree-optimization/107997,
      PR tree-optimization/121844, PR rtl-optimization/120182,
      PR tree-optimization/119532, PR tree-optimization/109410,
      PR debug/123886, PR tree-optimization/123602, PR tree-optimization/121370,
      PR tree-optimization/120341, PR middle-end/116454, PR ipa/116296,
      PR ipa/111036, PR tree-optimization/110043, PR rtl-optimization/106859,
      PR middle-end/120052, PR c/120837, PR c/123156, PR c/123365,
      PR c++/124489, PR c++/120685, PR c++/123889, PR c++/123578, PR c++/91388,
      PR c++/122772, PR c++/122834, PR c++/121445, PR c++/120876,
      PR fortran/124450, PR preprocessor/105412, PR preprocessor/123273,
      PR target/124365 (AArch64), PR libstdc++/121827, PR libstdc++/124568.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2026 07:15:00 +0100

gcc-13 (13.4.0-7ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2026 08:27:31 +0100

gcc-13 (13.4.0-7) unstable; urgency=medium

  * Update to git 20260317 from the gcc-13 branch.
    - Fix PR tree-optimization/119568, PR tree-optimization/123645,
      PR tree-optimization/121776, PR target/112400 (VAX), PR ipa/106260,
      PR tree-optimization/117217, PR target/123779 (x86),
      PR ada/107475, PR ada/124285, PR ada/124226, PR c/105555,
      PR c++/123845, PR libstdc++/114865, PR c++/123676,
      PR c++/122494, PR c++/123814, PR d/124026, PR lto/121588,
      PR libstdc++/124124, PR libstdc++/105580, PR libstdc++/114865,
      PR libstdc++/124363, PR libstdc++/123875, PR libstdc++/122821,
      PR libstdc++/123991, PR libstdc++/90192.
  * For backports, require binutils (>= 2.40) on riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Mar 2026 08:17:45 +0100

gcc-13 (13.4.0-6ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Feb 2026 09:47:40 +0100

gcc-13 (13.4.0-6) unstable; urgency=medium

  * Update to git 20260202 from the gcc-13 branch.
    - Fix PR target/119130 (PPC), PR d/123264, PR d/123407, PR d/123046,
      PR d/123349, PR d/119799, PR d/123419, PR d/123798, PR d/121477,
      PR d/123422, PR d/120096, PR libstdc++/105857, PR libstdc++/117276.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Feb 2026 10:42:42 +0100

gcc-13 (13.4.0-5ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 08:16:26 +0100

gcc-13 (13.4.0-5) unstable; urgency=medium

  * Update to git 20260119 from the gcc-13 branch.
    - Fix PR target/123460 (AArch64), PR pch/14940, PR rtl-optimization/123121,
      PR tree-optimization/122126, PR target/122867 (ARM),
      PR tree-optimization/112469, PR tree-optimization/122724,
      PR target/122446 (x86), PR target/122223 (ARM), PR target/122516 (AVR),
      PR tree-optimization/121870, PR tree-optimization/121256,
      PR tree-optimization/121059, PR tree-optimization/120944,
      PR tree-optimization/120817, PR target/119079 (x86), PR go/104290,
      PR tree-optimization/121772, PR tree-optimization/120156,
      PR rtl-optimization/101188, PR tree-optimization/119085,
      PR tree-optimization/117423, PR target/81540 (AVR), PR target/49857 (AVR),
      PR ada/107536, PR c++/121801, PR fortran/121263, PR libstdc++/122726,
      PR libstdc++/122661, PR libstdc++/120698.
  * Add architectureVariant to ELF_PACKAGE_METADATA.
  * Stop building multilibs for s390x. Closes: #1125356.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 14:52:47 +0100

gcc-13 (13.4.0-4ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Sep 2025 07:19:14 +0200

gcc-13 (13.4.0-4) unstable; urgency=medium

  * Update to git 20250908 from the gcc-13 branch.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Build again using GCC 13.
  * Re-enable running the testsuite.
  * Stop building the amdgcn offload compiler for forky.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.
  * Bump debhelper version to 11.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Sep 2025 07:15:11 +0200

gcc-13 (13.4.0-3) unstable; urgency=medium

  * Update to git 20250907 from the gcc-13 branch.
    - Fix PR libstdc++/121745, PR libstdc++/121097, PR libstdc++/110853.
  * Build libgphobos on sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 17:22:44 +0200

gcc-13 (13.4.0-2ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 07:35:37 +0200

gcc-13 (13.4.0-2) unstable; urgency=medium

  * Update to git 20250901 from the gcc-13 branch.
    - Fix PR target/121608 (AVR), PR target/121118 (AArch64),
      PR rtl-optimization/121253, PR target/121449 (AArch64),
      PR target/121294 (AArch64), PR target/121294 (AArch64),
      PR target/121208 (x86), PR target/120427 (x86), PR target/120908 (x86),
      PR middle-end/117811, PR c++/120620, PR c++/120940, PR c++/120471,
      PR c++/120123, PR target/120691 (x86), PR libstdc++/99832,
      PR libstdc++/120548, PR libstdc++/118160, PR libstdc++/100249.
  * Drop the pr99832-distro patch.
  * Build full libgphobos on ppc64el for IEEE long double.
  * Build using GCC 12 for the libgphobos bootstrap.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 06:41:46 +0200

gcc-13 (13.4.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Jun 2025 20:38:43 +0200

gcc-13 (13.4.0-1) unstable; urgency=medium

  * GCC 13.4.0 release.
  * Update newlib to 4.5.0.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jun 2025 21:21:21 +0200

gcc-13 (13.3.0-17ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Jun 2025 08:58:23 +0200

gcc-13 (13.3.0-17) unstable; urgency=medium

  * Update to git 20250531 from the gcc-13 branch (13.4 release candidate).
    - Fix PR target/119834 (S390), PR tree-optimization/111873,
      PR target/119172, PR target/114676 (S390), PR target/118623 (x86),
      PR middle-end/118819, PR rtl-optimization/117239,
      PR rtl-optimization/117239, PR tree-optimization/117358,
      PR rtl-optimization/113994, PR rtl-optimization/116799,
      PR sanitizer/110676, PR tree-optimization/113673, PR ipa/116055,
      PR tree-optimization/119534, PR tree-optimization/98845,
      PR middle-end/119119, PR tree-optimization/119057,
      PR tree-optimization/117979, PR tree-optimization/119778,
      PR middle-end/119706, PR target/119327 (PPC),
      PR tree-optimization/117287, PR c++/115358, PR c++/117792,
      PR c++/119233, PR c++/106760, PR c++/115656, PR c++/116418,
      PR c++/118060, PR c++/116320, PR c++/113976, PR c++/116636,
      PR c++/116606, PR c++/116954, PR fortran/120191, PR target/116809,
      PR libfortran/120196, PR fortran/120191, PR libstdc++/112490,
      PR libstdc++/112641, PR libstdc++/115046, PR libstdc++/112490,
      PR libstdc++/112490, PR libstdc++/119135.

 -- Matthias Klose <doko@debian.org>  Sat, 31 May 2025 07:45:57 +0200

gcc-13 (13.3.0-16) unstable; urgency=medium

  * Update to git 20250514 from the gcc-13 branch.
    - Fix PR ipa/119852, PR middle-end/118411, PR target/119610 (AArch64),
      PR debug/101533, PR middle-end/101478, PR tree-optimization/87984,
      PR middle-end/66279, PR tree-optimization/111125, PR c++/79786,
      PR lto/91299, PR libstdc++/112351.
  * Ada: revert upstream a210011c, restore libgnat hash.  See: #1104593.
  * libsanitizer: Fix build with glibc 2.42.

 -- Matthias Klose <doko@debian.org>  Wed, 14 May 2025 10:16:33 +0200

gcc-13 (13.3.0-15) unstable; urgency=medium

  * Update to git 20250502 from the gcc-13 branch.
    - Fix PR ada/112958.
  * Fix multilib installation for PR libstdc++/103382. Closes: #1104493.
  * gnat: Add gnat-N-<triplet> conflicts. Closes: #1063664.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2025 20:43:18 +0200

gcc-13 (13.3.0-14ubuntu1) questing; urgency=medium

  * Build-depend on questing's base-files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Apr 2025 13:45:10 +0200

gcc-13 (13.3.0-14) experimental; urgency=medium

  * Update to git 20250430 from the gcc-13 branch.
    - Fix PR tree-optimization/118924, PR tree-optimization/118924,
      PR tree-optimization/119399, PR tree-optimization/116125,
      PR target/119235 (S390), PR rtl-optimization/119785,
      PR driver/119727, PR lto/119625, PR rtl-optimization/119291,
      PR middle-end/119204, PR middle-end/119219, PR c/119183,
      PR c/114870, PR tree-optimization/118915, PR ipa/117432,
      PR target/118776 (x86), PR tree-optimization/118689,
      PR middle-end/114877, PR middle-end/118024, PR sanitizer/117960,
      PR rtl-optimization/117095, PR target/117642, PR middle-end/102674,
      PR middle-end/43374, PR tree-optimization/94589,
      PR tree-optimization/117612, PR tree-optimization/117439,
      PR target/117296, PR middle-end/117249, PR sanitizer/117209,
      PR target/116738 (x86), PR tree-optimization/116412,
      PR middle-end/113546, PR tree-optimization/118922,
      PR tree-optimization/117243, PR tree-optimization/116749,
      PR tree-optimization/116922, PR middle-end/111285,
      PR rtl-optimization/119689, PR rtl-optimization/115568,
      PR rtl-optimization/115568, PR rtl-optimization/116564,
      PR tree-optimization/119145, PR tree-optimization/117424,
      PR tree-optimization/117113, PR tree-optimization/116906,
      PR lto/114501, PR tree-optimization/114052, PR lto/113207,
      PR tree-optimization/112859, PR tree-optimization/112859,
      PR tree-optimization/115347, PR ipa/111245, PR middle-end/115110,
      PR ipa/118318, PR c++/114992, PR middle-end/43374, PR c/117230,
      PR c/119582, PR c/119000, PR c/117745, PR c++/114772, PR c++/101180,
      PR c++/111075, PR c++/98533, PR c++/119123, PR c++/119045,
      PR c++/118763, PR c++/118661, PR c++/117827, PR c++/118509,
      PR c++/117825, PR c++/116108, PR c++/117317, PR c++/117259,
      PR c++/116678, PR c++/114525, PR c++/117504, PR c++/116681,
      PR c++/114292, PR c++/118104, PR d/118477, PR d/119826, PR d/119817,
      PR d/118309, PR d/117002, PR d/117621, PR fortran/119656,
      PR fortran/116706, PR libgcc/101075, PR libgcc/119796,
      PR libgcc/119151, PR libstdc++/117406, PR libstdc++/117321,
      PR libstdc++/108760, PR libstdc++/105609, PR libstdc++/117121,
      PR libstdc++/108846, PR libstdc++/116471, PR libstdc++/106612,
      PR libstdc++/118093, PR libstdc++/104395, PR libstdc++/21334,
      PR libstdc++/119671, PR libstdc++/101587, PR libstdc++/101587,
      PR libstdc++/110498, PR libstdc++/114758, PR libstdc++/117983,
      PR libstdc++/116212, PR libstdc++/119429, PR libstdc++/108236,
      PR libstdc++/109517, PR libstdc++/109976, PR libstdc++/106212,
      PR libstdc++/117966, PR libstdc++/90389, PR libstdc++/118035,
      PR libstdc++/118158, PR libstdc++/101527.
  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Address PR libstdc++/103382, when not building the common libs, install
    the library in the gcc_lib_dir to link against the libstdc++ from this
    GCC version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 07:33:08 +0200

gcc-13 (13.3.0-13ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 07:43:42 +0100

gcc-13 (13.3.0-13) unstable; urgency=medium

  * Update to git 20250315 from the gcc-13 branch.
    - Fix PR c++/110031, PR c++/114349, PR c++/114854, PR c++/109966,
      PR c++/109859, PR c++/109680, PR c++/117985, PR c++/113158,
      PR c++/111132, PR c++/116369, PR c++/110382, PR c++/115657,
      PR c++/110114, PR c++/115476, PR fortran/105152 PR fortran/100193,
      PR fortran/87496, PR fortran/103389, PR fortran/104429, PR fortran/82774,
      PR ipa/118243, PR target/115485 (ARM), PR rtl-optimization/118739,
      PR tree-optimization/118976, PR target/116999 (AArch64),
      PR target/117045 (AArch64), PR testsuite/116238, PR target/116720 (RISCV),
      PR target/118835 (S390), PR tree-optimization/117912,
      PR tree-optimization/116850, PR middle-end/115641,
      PR tree-optimization/118717, PR tree-optimization/117119,
      PR tree-optimization/114921, PR tree-optimization/114921, PR jit/118780,
      PR target/118800 (AArch64), PR target/118825 (x86), PR middle-end/115913,
      PR target/110901 (AArch64), PR target/113257 (AArch64),
      PR target/118067 (X86), PR gcov-profile/116743,
      PR tree-optimization/117574, PR tree-optimization/117417,
      PR tree-optimization/117333, PR tree-optimization/117307,
      PR tree-optimization/117254, PR tree-optimization/117104,
      PR middle-end/117086, PR middle-end/116891, PR tree-optimization/116768,
      PR tree-optimization/116481, PR tree-optimization/116380,
      PR tree-optimization/116290, PR ada/118712, PR ada/119265,
      PR c++/119134, PR c++/118047, PR c++/118355, PR c++/117153,
      PR c++/118255, PR c++/118147, PR c++/117775, PR d/119139, PR d/116961,
      PR d/111650, PR d/114434, PR fortran/59252, PR fortran/106692,
      PR jit/118780.
  * Only provide the gnat-V-HASH for native compilers.
  * Add lib32<lib> conflicts for libn32<lib> packages. Addresses: #1092571.
  * Refresh patches.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Mar 2025 07:41:49 +0100

gcc-13 (13.3.0-12ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Dec 2024 09:25:22 +0100

gcc-13 (13.3.0-12) unstable; urgency=medium

  * Update to git 20241231 from the gcc-13 branch.
    - Fix PR fortran/117797, PR fortran/117897.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Drop the package-metadata spec, now implemented in the linkers.
  * Apply proposed patch for PR modula2/118045.
  * Fix check for assembler section merging support on ARM, see binutils
    PR ld/32491.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Dec 2024 09:06:06 +0100

gcc-13 (13.3.0-11ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2024 10:32:45 +0100

gcc-13 (13.3.0-11) unstable; urgency=medium

  * Don build ada for hurd-amd64.
  * Revert PR ada/117996, causing a change in the gnat-13-xxx provides.
    See #1090345.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Dec 2024 09:40:13 +0100

gcc-13 (13.3.0-10) unstable; urgency=medium

  * Update to git 20241216 from the gcc-13 branch.
    - Fix PR target/64242 (AVR), PR ada/117996, PR c++/116424, PR c++/117615,
      PR fortran/117730, PR fortran/84674, PR fortran/105054,
      PR libstdc++/117822, PR libstdc++/117560, PR libstdc++/114394.
  * Fix amdgcn-tools links for the amdgcn offload install.
  * Build-depend on git, needed for the gotools tests.
  * Don't run the libgo tests for multilibs, that cannot run.
  * Don't run the gnat and gm2 tests for multilibs, which are not built.
  * Fix PR libgomp/117851, taken from the trunk.
  * Remove the ada-nobiarch-check patch, superseded.
  * Run the tests sequentially on architectures with failing builds.
  * Rewrite the logwatch script to look at all log files.
  * Fix libphobos testsuite with sbuild's unshare backend. Addresses: #1089007.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2024 13:39:40 +0100

gcc-13 (13.3.0-9ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Nov 2024 12:35:40 +0100

gcc-13 (13.3.0-9) unstable; urgency=medium

  * Update to git 20241128 from the gcc-13 branch.
    - Fix PR target/117562 (x86), PR target/117744 (AVR),
      PR target/117357 (x86), PR middle-end/116997, PR target/117659 (AVR),
      PR target/117500 (AVR), PR target/117564 (PA), PR target/117525 (PA),
      PR tree-optimization/117142, PR target/117418 (x86),
      PR tree-optimization/117398, PR target/117318 (x86),
      PR rtl-optimization/117327, PR target/116415 (PPC),
      PR target/117240 (x86), PR ipa/115815, PR target/117159 (x86),
      PR target/117116 (x86), PR tree-optimization/109934,
      PR tree-optimization/109920, PR ipa/109985, PR ipa/113787,
      PR ipa/115033, PR ipa/114207, PR ipa/111613, PR ada/115917, PR ada/117328,
      PR ada/113868, PR ada/116551, PR ada/114593, PR c++/116731, PR c++/117158,
      PR fortran/117763, PR fortran/84869, PR fortran/116388, PR fortran/109345,
      PR fortran/115700, PR fortran/115070, PR fortran/115348, PR fortran/79685,
      PR fortran/116040, PR fortran/112459, PR fortran/84868,
      PR preprocessor/117118, PR libstdc++/101228, PR libstdc++/117135,
      PR libstdc++/116777, PR libstdc++/113663, PR libstdc++/114387,
      PR libstdc++/115854, PR libstdc++/116549, PR c++/116369,
      PR libstdc++/117094, PR libstdc++/116754, PR libstdc++/117085.
  * Fix running the tests with exactly one dejagnu run.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2024 12:11:08 +0100

gcc-13 (13.3.0-8) unstable; urgency=medium

  * Update to git 20241010 from the gcc-13 branch.
    - Fix PR ada/115535.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Oct 2024 11:15:22 +0200

gcc-13 (13.3.0-7) unstable; urgency=medium

  [ Matthias Klose ]
  * Update to git 20241009 from the gcc-13 branch.
    - Fix PR target/116512 (x86), PR target/116962 (x86),
      PR tree-optimization/116585, PR ipa/113291, PR target/116839 (x86),
      PR target/115860 (S390), PR tree-optimization/116057,
      PR tree-optimization/115841, PR tree-optimization/115701,
      PR tree-optimization/115694, PR tree-optimization/115669,
      PR tree-optimization/115646, PR tree-optimization/115278,
      PR tree-optimization/115197, PR target/116621 (x86),
      PR target/116287 (x86), PR tree-optimization/116034, PR middle-end/115527,
      PR target/116617 (x86), PR ipa/116410, PR target/113780 (ARM),
      PR ada/115535, PR ada/114640, PR ada/114636, PR c++/116676, PR c++/116449,
      PR fortran/100273, PR lto/116614, PR libstdc++/115399,
      PR libstdc++/116641, PR libstdc++/116857, PR libstdc++/116755,
      PR libstdc++/114770.
  * Bump standards version.

  [ Nicolas Boulenguez ]
  * Link libgnarl with libatomic on sparc. Closes: #1072071.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2024 15:54:35 +0200

gcc-13 (13.3.0-6ubuntu2~24.04.1) noble; urgency=medium

  * d/p/pr118976.diff: Fix memory corruption when executing 256-bit
    Scalable Vector Extensions code on 128-bit CPUs (LP: #2101084).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 19 Dec 2025 09:59:51 +1300

gcc-13 (13.3.0-6ubuntu2~24.04) noble-proposed; urgency=medium

  * SRU: LP: #2073389: Backport GCC 13.3 to Ubuntu 24.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Sep 2024 16:44:14 +0200

gcc-13 (13.3.0-6ubuntu2) oracular; urgency=medium

  * Update to git 20240904 from the gcc-13 branch.
    - Fix PR target/116512 (x86).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Sep 2024 16:26:54 +0200

gcc-13 (13.3.0-6ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Aug 2024 12:43:27 +0200

gcc-13 (13.3.0-6) unstable; urgency=medium

  * Update to git 20240830 from the gcc-13 branch.
    - Fix PR ipa/115277, PR target/114603 (AArch64), PR target/116407 (AVR),
      PR target/114607 (AArch64), PR target/116043 (x86), PR target/113384 (PA),
      PR target/116189 (SH), PR c++/113063, PR c++/116289, PR fortran/108889.
  * gcc/configure.ac enables some features based on the binutils version. The
    most recently checked binutils version is 2.36 for GCC 14.  For now it is
    safe to derive the binutils runtime dependency from the binutils build
    dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 12:29:24 +0200

gcc-13 (13.3.0-5ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Aug 2024 08:43:09 +0200

gcc-13 (13.3.0-5) unstable; urgency=medium

  * Configure with --with-abi=lp64d --disable-multilib on loong64.
  * Use the versioned gnatbind and gnatmake binaries for the build.
  * Emit the config.log when the configure step fails.
  * Fix two lintian warnings for the control file.
  * Build-depend on pkgconf instead of pkg-config.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Aug 2024 05:42:17 +0200

gcc-13 (13.3.0-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jul 2024 09:00:29 +0200

gcc-13 (13.3.0-4) unstable; urgency=medium

  * Update to git 20240731 from the gcc-13 branch.
    - Fix PR target/114759 (PPC), PR target/115389 (PPC),
      PR tree-optimization/115843, PR rtl-optimization/115565,
      PR target/97367 (PPC), PR rtl-optimization/115049,
      PR target/115526 (alpha), PR target/113719 (x86),
      PR target/115872, PR target/115752 (loong), PR target/115611 (ARM),
      PR fortran/103115, PR fortran/113363, PR fortran/103312,
      PR libstdc++/116070, PR libstdc++/115522.
  * Build libitm1 on loong64 and riscv64.
  * Show bootstrap compilers in the build log.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jul 2024 08:09:38 +0200

gcc-13 (13.3.0-3ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jul 2024 17:09:49 +0200

gcc-13 (13.3.0-3) unstable; urgency=medium

  * Update to git 20240711 from the gcc-13 branch.
    - PR middle-end/115836, PR fortran/84006, PR fortran/100027,
      PR fortran/98534, PR libstdc++/115807, PR libstdc++/115585.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    ELF_PACKAGE_METADATA.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Jul 2024 17:06:58 +0200

gcc-13 (13.3.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Jul 2024 12:59:57 +0200

gcc-13 (13.3.0-2) unstable; urgency=medium

  * Update to git 20240707 from the gcc-13 branch.
    - Fix PR target/106069 (PPC), PR target/115355 (PPC),
      PR target/103100 (AArch64), PR target/115618 (AArch64),
      PR target/114846 (PPC), PR driver/115440, PR fortran/83865,
      PR libstdc++/115668, PR libstdc++/115454, PR libstdc++/115575,
      PR target/87376 (AVR), PR target/115475 (AArch64),
      PR target/115457 (AArch64), PR target/115691 (PARISC),
      PR target/98762 (AVR), PR target/106069 (PPC), PR target/115355 (PPC),
     PR target/88236 (AVR), PR target/115726 (AVR).
  * Disable running the tests on the Ubuntu arm64 buildds (times out).
  * Starting with Ubuntu 24.10, stop building s390x multilibs.
  * d/p/0006-Ada-select-64-bits-time-functions-from-GNU-libc-when-.diff
    Adjust for the new glibc behaviour of defining __USE_TIME_BITS64 also
    on native 64-bits platforms (Simon Chopin). Closes: #1074577. LP: #2071605.
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    DEB_BUILD_OS_RELEASE_ID, DEB_SOURCE, DEB_VERSION and DEB_HOST_ARCH.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.
  * Build target libraries with -mbranch-protection=standard to enable PAC/BTI
    support on arm64 (Emanuele Rocca). Closes: #1055711.
  * Build target libraries with -fno-omit-frame-pointer, when enabled in
    dpkg-buildflags.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Jul 2024 12:53:33 +0200

gcc-13 (13.3.0-1ubuntu2) oracular; urgency=medium

  * Update to git 20240630 from the gcc-13 branch.
    - Fix PR target/106069 (PPC), PR target/115355 (PPC),
      PR target/103100 (AArch64), PR target/115618 (AArch64),
      PR target/114846 (PPC), PR driver/115440, PR fortran/83865,
      PR libstdc++/115668, PR libstdc++/115454, PR libstdc++/115575.
  * Disable running the tests on the Ubuntu arm64 buildds (times out).
  * Starting with Ubuntu 24.10, stop building s390x multilibs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2024 16:59:46 +0200

gcc-13 (13.3.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Jun 2024 11:37:13 +0200

gcc-13 (13.3.0-1) unstable; urgency=medium

  * GCC 13.3.0 release.
  * Update to git 20240619 from the gcc-13 branch.
    - Fix PR target/115297 (alpha), PR tree-optimization/115307 (AVR),
      PR target/113281, PR tree-optimization/115192, PR target/113719 (x86),
      PR tree-optimization/115152, PR sanitizer/115172,
      PR tree-optimization/115143, PR tree-optimization/115154,
      PR c++/111529, PR c++/113598, PR libstdc++/107800, PR fortran/115150,
      PR fortran/114827, PR fortran/110415, PR fortran/115039,
      PR libstdc++/115269, PR libstdc++/114940, PR libstdc++/108976,
      PR target/115253 (ARM), PR tree-optimization/115337, PR middle-end/108789,
      PR target/115324 (PPC), PR rtl-optimization/114902,
      PR rtl-optimization/115092, PR c/115290, PR c/114493, PR c++/115511,
      PR target/111343, PR jit/115442, PR target/115360 (AM),
      PR libstdc++/115308, PR libstdc++/115247, PR libstdc++/114958.
  * Update newlib to 4.4.0.
  * Add sparc64 bits for the gcc-as-needed patch. Closes: #1070766.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jun 2024 16:43:00 +0200

gcc-13 (13.2.0-25ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 May 2024 10:29:48 +0200

gcc-13 (13.2.0-25) unstable; urgency=medium

  * Update to git 20240514 from the gcc-13 branch.
    - Fix PR rtl-optimization/54052, PR middle-end/114348,
      PR middle-end/112684, PR driver/111700, PR rtl-optimization/114415,
      PR tree-optimization/111009, PR tree-optimization/114965,
      PR middle-end/114907, PR sanitizer/114956, PR tree-optimization/114876,
      PR fortran/114825, PR tree-optimization/114375,
      PR rtl-optimization/114924, PR tree-optimization/111268,
      PR target/110792 (x86), PR middle-end/112732, PR tree-optimization/112281,
      PR tree-optimization/112991, PR middle-end/113396,
      PR tree-optimization/113831, PR tree-optimization/114121,
      PR target/114747 (RISCV), PR ipa/92606, PR tree-optimization/114799,
      PR tree-optimization/114787, PR middle-end/114734,
      PR tree-optimization/114246, PR tree-optimization/113630,
      PR tree-optimization/114749, PR tree-optimization/114736,
      PR gcov-profile/114715, PR lto/114655, PR tree-optimization/114733,
      PR tree-optimization/114485, PR tree-optimization/111882,
      PR tree-optimization/114672, PR target/101865 (PPC),
      PR target/113095 (RISCV), PR target/111600, PR target/114848 (LOONG),
      PR target/111234, PR analyzer/114408, PR analyzer/114473,
      PR analyzer/109251, PR analyzer/111289, PR analyzer/113253,
      PR analyzer/112969, PR analyzer/113333, PR analyzer/112790,
      PR analyzer/112889, PR analyzer/110882, PR analyzer/110700,
      PR analyzer/109577, PR analyzer/110112, PR c++/89224, PR c++/114709,
      PR c++/111284, PR c++/89224, PR c++/113141, PR c++/114377,
      PR c++/114561, PR c++/114562, PR c++/100667, PR fortran/89462,
      PR fortran/93678, PR fortran/113956, PR fortran/114535,
      PR fortran/106999, PR fortran/112407, PR fortran/36337,
      PR fortran/110987, PR fortran/113885, PR fortran/114739,
      PR libstdc++/114803, PR libstdc++/114750, PR libstdc++/109822,
      PR libstdc++/110054, PR libstdc++/110050, PR libstdc++/93672,
      PR libstdc++/104606, PR libstdc++/114863.

  [ Nicolas Boulenguez ]
  * Ada: fix a typo in patch for PR ada/114065 breaking the build on hurd.

  [ Matthias Klose ]
  * gcc-13: Depend on cpp-13, lost with the -for-build/-for-host changes.
  * Run the tests again during the build.
  * Turn on again PGO and LTO builds.

 -- Matthias Klose <doko@debian.org>  Tue, 14 May 2024 09:58:45 +0200

gcc-13 (13.2.0-24ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Apr 2024 11:54:50 +0200

gcc-13 (13.2.0-24) unstable; urgency=medium

  * Update to git 20240429 from the gcc-13 branch.
    - Fix PR target/114175 (RISCV), PR middle-end/111632,
      PR tree-optimization/111407, PR target/113233 (loong64),
      PR target/105522 (Darwin), PR target/114175, PR tree-optimization/112303,
      PR middle-end/111151, PR sanitizer/111736, PR middle-end/111683,
      PR bootstrap/114369, PR c++/103825, PR fortran/103707,
      PR fortran/106987, PR fortran/113799, PR fortran/95374, PR fortran/104352,
      PR fortran/107426, PR fortran/113866, PR fortran/50410, PR fortran/103716,
      PR middle-end/111632, PR libgcc/111731, PR libstdc++/114401,
      PR libstdc++/113841, PR libstdc++/114367, PR target/114130 (RISCV),
      PR ipa/108007, PR ipa/112616, PR fortran/114474, PR bootstrap/106472,
      PR target/114272 (AArch64), PR target/114837 (ARM), PR target/88309 (PPC),
      PR target/114172 (RISCV), PR rtl-optimization/114768,
      PR middle-end/114753, PR sanitizer/114743, PR c++/114634,
      PR sanitizer/114687, PR middle-end/110027, PR tree-optimization/114566,
      PR c++/114537, PR middle-end/114552, PR ipa/113964, PR ipa/111571,
      PR target/114752 (AVR), PR middle-end/114599, PR gcov-profile/114115,
      PR tree-optimization/114115, PR tree-optimization/113552,
      PR c/114780, PR c++/114691, PR c++/114580, PR c++/114572,
      PR c++/113966, PR c++/110006, PR c++/112769, PR fortran/102003,
      PR target/114794 (AVR), PR libfortran/114304, PR libfortran/105473,
      PR libquadmath/114533.
  * Use gcc:SoftVersion for -for-host dependencies (Helmut Grohne).
    Addresses: #1067904.
  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Addresses: #1064426. LP: #2052929.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Integrate gnat patches from Nicolas:
    - Update the ada-lib-info-source-date-epoch patch.
    - Remove the pr114065-proposed patch.
    - Add patches (v6) from PR ada/114065.  Closes: #1067453.
    - Only apply ada-armel-libatomic.diff on armel.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build using GCC 13.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Apr 2024 11:49:21 +0200

gcc-13 (13.2.0-23ubuntu4) noble; urgency=medium

  * Update to git 20240412 from the gcc-13 branch.
    - Fix PR target/114175 (RISCV), PR middle-end/111632,
      PR tree-optimization/111407, PR target/113233 (loong64),
      PR target/105522 (Darwin), PR target/114175, PR tree-optimization/112303,
      PR middle-end/111151, PR sanitizer/111736, PR middle-end/111683,
      PR bootstrap/114369, PR c++/103825, PR fortran/103707,
      PR fortran/106987, PR fortran/113799, PR fortran/95374, PR fortran/104352,
      PR fortran/107426, PR fortran/113866, PR fortran/50410, PR fortran/103716,
      PR middle-end/111632, PR libgcc/111731, PR libstdc++/114401,
      PR libstdc++/113841, PR libstdc++/114367, PR target/114130 (RISCV),
      PR ipa/108007, PR ipa/112616, PR fortran/114474.
  * Don't build the libstdc++-doc package when the nodoc profile is enabled.
  * Don't set the _FILE_OFFSET_BITS and _TIME_BITS macros, if the
    _DISTRO_EVADE_TIME_BITS macro is defined.
    See https://sourceware.org/bugzilla/show_bug.cgi?id=31624.
  * Build using GCC 13.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Apr 2024 09:31:05 +0200

gcc-13 (13.2.0-23ubuntu3) noble; urgency=medium

  * Use gcc:SoftVersion for -for-host dependencies (Helmut Grohne).
    Addresses: #1067904.
  * Apply proposed patch for PR libquadmath/114533 (Simon Chopin).
    Addresses: #1064426. LP: #2052929.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2024 14:29:46 +0100

gcc-13 (13.2.0-23ubuntu2) noble; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 20:58:09 +0100

gcc-13 (13.2.0-23ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2024 14:57:57 +0100

gcc-13 (13.2.0-23) unstable; urgency=medium

  * Only apply newlib patches when the newlib tarball is unpacked.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 14:30:10 +0100

gcc-13 (13.2.0-22) unstable; urgency=medium

  * Update to git 20240328 from the gcc-13 branch.
    - Fix PR sanitizer/97696, PR tree-optimization/110838,
      PR tree-optimization/91838, PR c/112571.
  * Fix PR target/110934 (m68k), taken from the trunk.
  * d/p/gcc-distro-defaults: Make -fstack-protector-explicit known.
  * newlib: amdgcn: Implement proper locks, taken from newlib trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Mar 2024 11:29:26 +0100

gcc-13 (13.2.0-21ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:57:17 +0100

gcc-13 (13.2.0-21) unstable; urgency=medium

  * Update to git 20240324 from the gcc-13 branch.
    - Fix PR fortran/101135, PR fortran/55978.
  * Update the proposed patch to fix PR ada/114064.
  * Move the _FORTIFY_SOURCE setting from cc1 to the driver.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 24 Mar 2024 14:49:13 +0100

gcc-13 (13.2.0-20) unstable; urgency=medium

  * Update to git 20240323 from the gcc-13 branch.
    - Fix PR other/109668, PR tree-optimization/114231,
      PR tree-optimization/112793, PR tree-optimization/113670,
      PR middle-end/113622, PR tree-optimization/114203, PR middle-end/114070,
      PR middle-end/114070, PR tree-optimization/114027, PR debug/112718,
      PR tree-optimization/113910, PR tree-optimization/111736,
      PR tree-optimization/114396, PR target/113950 (PPC),
      PR target/111822 (x86), PR target/114160 (RISCV), PR sanitizer/112709,
      PR sanitizer/112709, PR target/114339 (x86), PR middle-end/113907,
      PR target/114310 (AArch64), PR rtl-optimization/110079,
      PR rtl-optimization/114211, PR target/114184 (x86), PR fortran/114001,
      PR fortran/103715, PR fortran/110826, PR fortran/100988,
      PR fortran/104819, PR libstdc++/66146, PR libstdc++/114316,
      PR libstdc++/114147.
  * Make vhdl known to the PPC backend.
  * Use the proposed patch to fix PR ada/114064, 64bit definitions for
    time_t_bits type on 32bit archs.
  * libsanitizer: Remove crypt and crypt_r interceptors for releases
    with glibc (>= 2.31). Remove the build hacks for crypt.h.
  * libstdc++-dev: Install libstdc++_libbacktrace.a. Note that all Filesystem TS
    and std::stacktrace symbols were added to libstdc++exp.a and GCC 14 stops
    shipping libstdc++_libbacktrace.a. Closes: #1065359.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Mar 2024 11:38:07 +0100

gcc-13 (13.2.0-19ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 17:36:42 +0100

gcc-13 (13.2.0-19) unstable; urgency=medium

  * Update to git 20240315 from the gcc-13 branch.
    - Fix PR middle-end/95351, PR driver/114314, PR target/101737 (SH),
      PR ada/113979, PR d/112285, PR d/112290, PR d/114171, PR fortran/114012,
      PR fortran/114024, PR libfortran/105437, PR libfortran/114304,
      PR libfortran/105473, PR libstdc++/110167.
  * Fix installation of the amdgcn offload compiler.
  * Fix installation of the nvptx offload compiler. Closes: #1065598.
  * ASan: move allocator base to avoid conflict with high-entropy ASLR
    for x86-64 Linux. Patch taken from LLVM. LP: #2048768.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Mar 2024 17:33:18 +0100

gcc-13 (13.2.0-18) unstable; urgency=medium

  * Remove build-dependency on gdb for now.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 17:28:27 +0100

gcc-13 (13.2.0-17ubuntu2) noble; urgency=medium

  * Drop build dependency on gdb for now.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:32:22 +0100

gcc-13 (13.2.0-17ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 14:13:38 +0100

gcc-13 (13.2.0-17) unstable; urgency=medium

  * Update to git 20240303 from the gcc-13 branch.
    - Fix PR middle-end/114136, PR tree-optimization/114041,
      PR tree-optimization/114090, PR tree-optimization/113993,
      PR c++/113674, PR middle-end/110754, PR rtl-optimization/113656,
      PR tree-optimization/113603, PR target/113122 (x86),
      PR tree-optimization/113372, PR middle-end/90348, PR middle-end/110115,
      PR middle-end/111422, PR rtl-optimization/112758,
      PR target/108174 (AArch64), PR target/114098 (x86),
      PR target/108120 (ARM), PR tree-optimization/109804,
      PR target/112299 (loong64), PR target/112330 (loong64), PR ada/113893,
      PR c/114007, PR c/113262, PR d/113758, PR d/113125, PR libgomp/113192,
      PR libstdc++/113960, PR libstdc++/114152.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:19:43 +0100

gcc-13 (13.2.0-16ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Feb 2024 04:09:30 +0100

gcc-13 (13.2.0-16) experimental; urgency=medium

  * libgnat: Use Long_Long_Integer'Size for the definition of time_t_bits
    for 32bit architectures using time_t64.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 04:05:15 +0100

gcc-13 (13.2.0-14) experimental; urgency=medium

  * Update to git 20240220 from the gcc-13 branch.
    - Fix PR target/112787, PR middle-end/113921, PR target/113927 (AVR),
      PR target/105523 (AVR), PR target/113824 (AVR),
      PR target/111677 (AArch64, closes: #1053405),
      PR tree-optimization/112618, PR tree-optimization/112505,
      PR tree-optimization/112495, PR tree-optimization/110221,
      PR middle-end/110176, PR c++/95226, PR c++/109359, PR c++/113545,
      PR c++/113612, PR c++/107291, PR c++/111286, PR c++/110084, PR c++/113638,
      PR c++/112439, PR c++/112437, PR fortran/104908, PR libgcc/113850,
      PR libfortran/111022, PR libfortran/110651, PR libstdc++/113294,
      PR libstdc++/99117, PR libstdc++/112467, PR libstdc++/110807,
      PR libstdc++/113258, PR libstdc++/107466, PR libstdc++/90276,
      PR libstdc++/113500, PR libstdc++/113512.
  * Add more dependencies for -for-build packages.
  * Build libubsan1 for riscv64.
  * Pass -D_TIME_BITS=64 together with -D_FILE_OFFSET_BITS=64 by default
    on the 32bit architectures armel, armhf, hppa, m68k, mips, mipsel,
    powerpc (-m32 only) and sh4.
  * Fix disabling go and m2 according to OS (Samuel Thibault). Closes: #1063642.
  * PR libstdc++/99832, std::chrono::system_clock::{from,to}_time_t:
    Add ABI tag for timet64.
  * Fix libsanitizer build with _TIME_BITS set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Feb 2024 00:15:36 +0100

gcc-13 (13.2.0-13) unstable; urgency=medium

  * Update to git 20240130 from the gcc-13 branch.
    - Fix PR preprocessor/105608.
  * Fix and add dependencies for -for-build and -for-host packages.
  * Correct conflicts with old gnat-N versions. Closes: #1061648.
  * Fix some -for-{build,host} package descriptions. Addresses: #1061670.
  * For Ubuntu, only define _FORTIFY_SOURCE, if there are no options
    -U_FORTIFY_SOURCE or -D_FORTIFY_SOURCE=N given.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2024 14:43:53 +0100

gcc-13 (13.2.0-12) unstable; urgency=medium

  * Update to git 20240127 from the gcc-13 branch.
    - Fix PR target/113601 (AVR), PR tree-optimization/110422, PR c++/113529,
      PR c++/113347, PR c++/103185, PR c++/113088, PR c++/33799.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 09:26:36 +0100

gcc-13 (13.2.0-11ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jan 2024 22:09:10 +0100

gcc-13 (13.2.0-11) experimental; urgency=medium

  [ Matthias Klose ]
  * Fall-back to the host crypt.h for the target, required by cross builds.
    See: #1014375.
  * Fix PR target/113030, taken from the trunk.
  * Don't include -Xliblto_plugin.so for dh_fixperms call.
  * Mark *-N-for-{build,host} packages as dependency packages.
  * Stop building packages built by gcc-14.

  [ Helmut Grohne ]
  * Build $triplet packages:
    {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++,gccgo,gnat,gm2,gccrs}-13-$triplet
  * Use cross_gencontrol for *-for-host packages.
  * Add packages {cpp,gcc,g++,gfortran,gdc,gobjc,gobjc++}-N-for-{build,host}.
  * Add packages {gccgo,gnat,gm2,gccrs}-N-for-{build,host}.
  * Restrict $tool-$v-$triplet packages via ${tool}_no_archs.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2024 22:00:03 +0100

gcc-13 (13.2.0-10ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jan 2024 12:51:29 +0100

gcc-13 (13.2.0-10) unstable; urgency=medium

  * Update to git 20240119 from the gcc-13 branch.
    - Fix PR target/112759 (MIPS), PR sanitizer/111736, PR target/112816 (x86),
      PR tree-optimization/113013, PR middle-end/112733, PR c++/108975,
      PR sanitizer/112727, PR fortran/97592, PR target/107201 (AVR),
      PR target/113156 (AVR), PR tree-optimization/113012,
      PR rtl-optimization/113140, PR target/112952 (AVR), PR ada/112781,
      PR c++/113242, PR c++/99493, PR c++/104634, PR c++/109899,
      PR fortran/67277, PR libstdc++/113450, PR testsuite/113366,
      PR libstdc++/112477, PR libstdc++/113250, PR libstdc++/113241,
      PR libstdc++/113200, PR testsuite/113175.

  [ Matthias Klose ]
  * Set {go,m2,rs}_no_archs macros for the generation of the control file.
  * Remove trailing whitespace in control file.
  * Disable the LTO build on mips64el (requested by YunQiang Su).
  * Configure with --enable-libstdcxx-backtrace. LP: #2048233.
  * Update the testsuite-hardening patches, and apply them again.
  * libgcc-s[124]: move libgcc_s.so.? to /usr for DEP17. Closes: #1060001.

  [ Helmut Grohne ]
  * Add loong64 to any_archs.
  * Always issue a build-dependency on debhelper.
  * For cross toolchain builds, add a build dependency on target binutils.
  * For cross toolchain builds, add build dependencies on the Ada, D and
    Modula-2 frontends.
  * Remove redundant sections and priorities for non-tools in the control file.
  * Remove redundant sections and priorities for tools in the control file.
  * Add support code for gcc-for-host.
    - control.m4 macro for_each_arch iterates over all known architectures and
      substitutes arch_deb (the Debian architecture name), arch_gnu (the GNU
      triplet) and arch_gnusuffix (a package name suffix encoding the
      architecture) variables.
    - The substitution variable target:suffix can be used to interpolate the
      current target architecture suffix for dependencies from the regular
      tool packages on architecture-qualified tool packages.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jan 2024 12:40:38 +0100

gcc-13 (13.2.0-9ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Dec 2023 20:00:20 +0100

gcc-13 (13.2.0-9) unstable; urgency=medium

  * Update to git 20231214 from the gcc-13 branch.
    - Fix PR target/112891 (x86), PR target/112845 (x86),
      PR target/112837 (x86), PR target/112816 (x86), PR target/111408 (x86),
      PR tree-optimization/111967, PR c/112339, PR c++/110106, PR c++/112410,
      PR c++/109876, PR c++/112795, PR fortran/93762, PR fortran/100651,
      PR libgomp/111413, PR libstdc++/111826, PR libstdc++/111948,
      PR libstdc++/112480, PR libstdc++/112473, PR libstdc++/112832,
      PR libstdc++/110133.
  * Backport libiberty: Use x86 HW optimized sha1 and followup patch,
    needed for the combined build.
  * Use DEB_BUILD_OPTIONS='... gcc-ice=nodump' for turning off dumping
    the preprocessed source to stdout. Closes: #1057635.
  * Set DEB_BUILD_OPTIONS='... gcc-ice=nodump' when running the testsuite.
  * Default to pie on loong64. Closes: #1057433.
  * For Ubuntu 24.04 LTS and later, switch _FORTIFY_SOURCE to 3 by default
    instead of 2 when optimization is enabled. LP: #2012440.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 19:55:12 +0100

gcc-13 (13.2.0-8ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Dec 2023 23:49:51 +0100

gcc-13 (13.2.0-8) unstable; urgency=medium

  * Update to git 20231202 from the gcc-13 branch.
    - Fix PR middle-end/111497, PR tree-optimization/111465,
      PR tree-optimization/111137, PR c++/111703, PR c++/107939, PR c++/112269,
      PR fortran/111880, PR fortran/112764, PR libstdc++/112607.
  * Add changes for hurd-amd64 (Samuel Thibault). Closes: #1057004.
  * Remove references to obsolete CPUs m32r and tilegx. Closes: #1056769.
  * Make the libsframe and gprofng toplevel directories known.
  * Build the nvptx offload compiler on arm64.
  * Add support to build from a combined binutils/GCC tree.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Dec 2023 23:46:29 +0100

gcc-13 (13.2.0-7ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Nov 2023 13:05:56 +0100

gcc-13 (13.2.0-7) unstable; urgency=medium

  * Update to git 20231124 from the gcc-13 branch.
    - Fix PR target/112672 (x86), PR target/111815 (vax), PR target/53372 (avr),
      PR target/111828 (PPC), PR tree-optimization/112496,
      PR target/110411 (PPC), PR tree-optimization/111917, PR middle-end/111818,
      PR tree-optimization/111764, PR tree-optimization/111614,
      PR tree-optimization/111583, PR tree-optimization/111489,
      PR tree-optimization/111489, PR tree-optimization/111445,
      PR tree-optimization/111397, PR target/112443 (x86),
      PR target/111935 (RISCV), PR tree-optimization/111820,
      PR tree-optimization/111833, PR middle-end/111253, PR c++/112633,
      PR c++/112301, PR c++/102191, PR c++/33799, PR d/110712, PR d/112270,
      PR fortran/97245, PR fortran/112316, PR fortran/67740, PR modula2/112110,
      PR libstdc++/112491, PR libstdc++/112348, PR libstdc++/112491,
      PR libstdc++/110944, PR libstdc++/111172, PR libstdc++/112314,
      PR libstdc++/112089, PR libbacktrace/111315, PR libbacktrace/112263,
      PR libstdc++/111936.
    - Bump LTO minor version.
  * Don't run the testsuite on mipsel and mips64el, times out on the buildds.
    Addresses: #1056238.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Nov 2023 11:53:24 +0100

gcc-13 (13.2.0-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2023 15:58:04 +0200

gcc-13 (13.2.0-6) unstable; urgency=medium

  * Update to git 20231024 from the gcc-13 branch.
    - Fix PR target/111001 (SH), PR target/111367 (PPC), PR target/101177 (SH),
      PR target/111528, PR target/110170 (x86), PR target/111380 (PPC),
      PR target/111366 (PPC), PR tree-optimization/111622,
      PR tree-optimization/111694, PR tree-optimization/111519,
      PR middle-end/111699, PR ada/111434, PR c/111884, PR c++/89038,
      PR fortran/111837, PR modula2/111756.
  * Update VCS attributes.
  * Configure with --disable-s390-excess-float-precision for sid/trixie and
    Ubuntu noble (24.04 LTS).
  * Update the gcc-as-needed patch for loong64. Closes: #1054469.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Oct 2023 15:48:10 +0200

gcc-13 (13.2.0-5) unstable; urgency=medium

  * Update to git 20231005 from the gcc-13 branch.
    - Fix PR tree-optimization/111331, PR tree-optimization/110386,
      PR target/111121 (AArch64), PR tree-optimization/110315,
      PR target/111411 (AArch64), PR target/111412 (riscv),
      PR ada/110488, PR c++/111493, PR c++/111485, PR c++/99631,
      PR c++/111471, PR fortran/37336, PR fortran/111674, PR fortran/92586,
      PR fortran/68155, PR modula2/111510, PR libstdc++/111050,
      PR libstdc++/111102, PR libstdc++/108046, PR libstdc++/111511,
      PR c++/111512, PR c++/111357.
  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.
  * Update the libquadmath portions of the copyright file. Closes: #1052314.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Oct 2023 11:50:52 +0200

gcc-13 (13.2.0-4ubuntu3) mantic; urgency=medium

  * Cherry-pick from the branch (backported together with CVE-2023-4039 fixes):
    - Fix PR target/111411 (AArch64): Fix loose ldpstp check.
    - Fix return register handling in untyped_call (AArch64).
  * Ignore failing libgm2-link autopkg test on armhf. See PR/modula-2 111510.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Sep 2023 10:44:53 +0200

gcc-13 (13.2.0-4ubuntu2) mantic; urgency=medium

  * Provide symlinks for the shared Modula-2 runtime libraries in
    the private gcc library directory. Closes: #1052008.
  * Install the static Modula-2 libraries.
  * Add autopkg test for Modula-2.
  * Don't assume that hppa64-linux-gnu has the sys/mman.h header,
    use the fallback for libgcov.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Sep 2023 04:06:03 +0200

gcc-13 (13.2.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2023 13:28:29 +0200

gcc-13 (13.2.0-4) unstable; urgency=medium

  * Update to git 20230913 from the gcc-13 branch.
    - Fix PR target/96762 (PPC), PR target/111340 (x86),
      PR target/111306 (x86), PR target/111335 (x86),
      PR modula2/111330.
    - Address stack protector and stack clash protection weaknesses
      on AArch64. CVE-2023-4039.

  [ Matthias Klose ]
  * Fix PR fortran/88552, taken from the trunk. LP: #1842164.

  [ Aurelien Jarno ]
  * Update libasan8 symbols for riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2023 13:17:34 +0200

gcc-13 (13.2.0-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Sep 2023 12:06:46 +0200

gcc-13 (13.2.0-3) unstable; urgency=medium

  * Update to git 20230902 from the gcc-13 branch.
    - Fix PR target/111127 (x86), PR middle-end/111017 (x86),
      PR tree-optimization/111070, PR tree-optimization/111039,
      PR tree-optimization/111019, PR tree-optimization/110702,
      PR tree-optimization/111109, PR debug/111080, PR target/111010 (x86),
      PR c++/106652, PR c++/110927, PR c++/109678, PR c++/106310,
      PR fortran/87477, PR modula2/110779, PR modula2/108119,
      PR libgcc/110956, PR middle-end/111017, PR libstdc++/110860,
      PR libstdc++/110990, PR libstdc++/110970, PR libstdc++/110974,
      PR libstdc++/110968, PR target/110484 (loong64),
      PR tree-optimization/110914, PR tree-optimization/111015,
      PR target/109725 (riscv), PR c++/109751, PR c++/92407.

  [ Aurelien Jarno ]
  * Fix PR target/110066 (RISCV), taken from the trunk.

  [ Matthias Klose ]
  * Remove test protocols in clean target. Addresses: #1044154.
  * Disable Ada, Go, D, Modula-2 frontends on loong64.

  [ Nicolas Boulenguez ]
  * Ada: deprecate the gnatgcc symbolic link.
  * Ada: move README.gnat to debian/ada/.
  * Ada: remove the obsolete acats-killer script.
  * Ada: let gnat-BV provide a versioned virtual package.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2023 11:39:47 +0200

gcc-13 (13.2.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Aug 2023 06:09:08 +0200

gcc-13 (13.2.0-2) unstable; urgency=medium

  * Update to git 20230810 from the gcc-13 branch.
    - Fix PR target/110220 (AVR), PR target/110741 (PPC),
      PR target/109713 (RISCV), PR target/89835 (RISCV),
      PR tree-optimization/110280, PR modula2/110125, PR c++/110197,
      PR c++/110566, PR c++/108179, PR fortran/109684, PR fortran/110825,
      PR fortran/108961, PR modula2/110779, PR modula2/110161,
      PR modula2/110865, PR modula2/110284, PR modula2/110174,
      PR modula2/110631, PR modula2/110125, PR libstdc++/110860,
      PR libstdc++/110917, PR libstdc++/110862.
  * Stop building 32bit liblsan packages, where gcc-13 is not part of
    the distro. Closes: #1042482.
  * Update sanitizer symbols files.
  * Address some lintian warnings:
    - Be quiet about libstdc++-doc manpages.
    - Don't complain about unstripped sanitizer libraries.
  * Correct debhelper to mess up permissions in /usr/libexec.
  * Strip again the executables.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 05:49:00 +0200

gcc-13 (13.2.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 07:14:58 +0200

gcc-13 (13.2.0-1) unstable; urgency=medium

  * GCC 13.2.0 release.
  * Update to git 20230730 from the gcc-13 branch.
    - Fix PR tree-optimization/110755, PR tree-optimization/110799,
      PR tree-optimization/110766, PR c++/110809, PR modula2/109952,
      PR modula2/109952, PR modula2/109586.

  [ Nicolas Boulenguez ]
  * autopkgtests: compute GCC version, reuse AUTOPKGTEST_TMP

  [Matthias Klose]
  * Stop building gccrs, not ready yet for GCC 13.2, and probably
    won't be backported to GCC 13 at all.  Just keep it building
    for Ubuntu 23.04, where it cannot be removed from the release pocket.
  * gcc-13-doc: Fix installation of the libitm info file. LP: #1936394.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jul 2023 07:04:14 +0200

gcc-13 (13.1.0-9ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 13:53:07 +0200

gcc-13 (13.1.0-9) unstable; urgency=medium

  * Update to git 20230720 from the gcc-13 branch (13.2 release candidate).
    - Fix PR tree-optimization/110731, PR tree-optimization/110669,
      PR target/110206, PR target/101469 (SH), PR target/106966 (alpha),
      PR c++/110535, PR c++/110122, PR c++/110524, PR fortran/95947,
      PR fortran/110658, PR fortran/110288, PR libgcc/110179, PR libgcc/109712,
      PR libstdc++/109921, PR libstdc++/110432, PR libstdc++/110542,
      PR libstdc++/110574, PR libstdc++/95048.
  * Update libstdc++ symbols file for ppc64el.
  * Update patches for backports.
  * libgccjit-13-doc: Relax dependency on the gcc-13-base package.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jul 2023 13:37:42 +0200

gcc-13 (13.1.0-8ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2023 10:28:29 +0200

gcc-13 (13.1.0-8) unstable; urgency=medium

  * Update to git 20230711 from the gcc-13 branch.
    - Fix PR tree-optimization/110557, PR c++/110595,
      PR tree-optimization/110556, PR tree-optimization/110515,
      PR tree-optimization/110392, PR tree-optimization/110381,
      PR target/110560 (RISCV), PR target/105325 (PPC),
      PR tree-optimization/110228, PR c++/110468, PR c++/110463,
      PR d/108842, PR d/110516, PR d/110514, PR d/110471, PR fortran/110585,
      PR testsuite/108835, PR d/103944, PR libstdc++/104299.
  * Apply proposed patch for PR target/106966. Addresses: #1019011.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jul 2023 10:25:56 +0200

gcc-13 (13.1.0-7ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 17:42:41 +0200

gcc-13 (13.1.0-7) unstable; urgency=medium

  * Update to git 20230630 from the gcc-13 branch.
    - Fix PR tree-optimization/110298, PR debug/110295, PR middle-end/110055,
      PR ipa/109983, PR tree-optimization/109143, PR target/110132 (AArch64),
      PR target/110100 (AArch64), PR target/110100 (AArch64),
      PR target/109932 (PPC), PR target/110011 (PPC), PR c++/110102,
      PR c++/109247, PR rtl-optimization/110237, PR target/110309 (x86),
      PR testsuite/66005, PR middle-end/110420, PR middle-end/103979,
      PR middle-end/98619, PR ipa/110276,
      PR target/110264 (RISCV, closes: #1038774), PR d/106977,
      PR target/110406, PR d/110359, PR d/110113, PR fortran/86277,
      PR libstdc++/110239, PR libstdc++/110149, PR libstdc++/109741,
      PR libstdc++/100285.

  [ Nicolas Boulenguez ]
  * ada/check_ali_update.sh: report checksum changes but ignore timestamps

  [Matthias Klose]
  * Fix PR tree-optimization/110280, taken from the trunk. Closes: #1038768.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jun 2023 14:36:39 +0200

gcc-13 (13.1.0-6ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Jun 2023 09:45:32 +0200

gcc-13 (13.1.0-6) unstable; urgency=medium

  * Update to git 20230617 from the gcc-13 branch.
    - Fix PR target/110136 (loongarch), PR target/110227 (X86),
      PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.
  * Apply proposed patch for PR ipa/110276. Closes: #1037640.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2023 11:34:12 +0200

gcc-13 (13.1.0-5ubuntu1) mantic; urgency=medium

  * Update to git 20230613 from the gcc-13 branch.
    - Fix PR middle-end/110200.
  * Ignore gccrs bootstrap comparison failures on mipsel.
  * Remove obsolete gcn assembler patch.
  * Mark libgcc-sN packages as protected/important for newer releases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jun 2023 09:54:20 +0200

gcc-13 (13.1.0-5) unstable; urgency=medium

  * Re-enable building gccrs.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 17:12:06 +0200

gcc-13 (13.1.0-4) unstable; urgency=medium

  * Update to git 20230611 from the gcc-13 branch.
    - Fix PR target/109650 (AVR), PR target/92729 (AVR),
      PR tree-optimization/110165, PR tree-optimization/110166,
      PR target/110044 (PPC), PR target/110108 (X86), PR target/109939 (ARM),
      PR target/106907 (PPC), PR target/109800 (ARM), PR bootstrap/110085,
      PR target/110088 (AVR), PR target/109954 (X86), PR target/110036 (RISCV),
      PR target/109547 (RISCV), PR target/104327 (AVR), PR target/82931 (AVR),
      PR tree-optimization/109505, PR target/105753 (AVR), PR fortran/96024,
      PR fortran/100607, PR libgcc/109670, PR libgcc/109685,
      PR libstdc++/108178, PR libstdc++/110139, PR libstdc++/109758,
      PR libstdc++/109822, PR libstdc++/109261, PR libstdc++/109949,
      PR libstdc++/109261.
  * Configure --with-cpu=ev56 instead of --with-arch=ev56 for alpha.
  * Also provide the liblto_plugin.so symlink in the old place.
    Closes: #1036566.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2023 13:48:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gcc-13-loongarch64-linux-gnu-base`.
